## org.apache.lucene.analysis.shingle
Class ShingleAnalyzerWrapper

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.shingle.ShingleAnalyzerWrapper

    public class ShingleAnalyzerWrapper

extends org.apache.lucene.analysis.Analyzer

A ShingleAnalyzerWrapper wraps a `ShingleFilter` around another `Analyzer`.

A shingle is another name for a token based n-gram.

Field Summary
`protected org.apache.lucene.analysis.Analyzer` `defaultAnalyzer`
`protected int` `maxShingleSize`
`protected boolean` `outputUnigrams`

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`ShingleAnalyzerWrapper()` Wraps `StandardAnalyzer`.
`ShingleAnalyzerWrapper(org.apache.lucene.analysis.Analyzer defaultAnalyzer)`
`ShingleAnalyzerWrapper(org.apache.lucene.analysis.Analyzer defaultAnalyzer, int maxShingleSize)`
`ShingleAnalyzerWrapper(int nGramSize)`

Method Summary
`int` `getMaxShingleSize()` The max shingle (ngram) size
`boolean` `isOutputUnigrams()`
`org.apache.lucene.analysis.TokenStream` `reusableTokenStream(java.lang.String fieldName, java.io.Reader reader)`
`void` `setMaxShingleSize(int maxShingleSize)` Set the maximum size of output shingles
`void` `setOutputUnigrams(boolean outputUnigrams)` Shall the filter pass the original tokens (the "unigrams") to the output stream?
`org.apache.lucene.analysis.TokenStream` `tokenStream(java.lang.String fieldName, java.io.Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultAnalyzer

    protected org.apache.lucene.analysis.Analyzer defaultAnalyzer

### maxShingleSize

    protected int maxShingleSize

### outputUnigrams

    protected boolean outputUnigrams

Constructor Detail

### ShingleAnalyzerWrapper

    public ShingleAnalyzerWrapper(org.apache.lucene.analysis.Analyzer defaultAnalyzer)

### ShingleAnalyzerWrapper

    public ShingleAnalyzerWrapper(org.apache.lucene.analysis.Analyzer defaultAnalyzer,
                                  int maxShingleSize)

### ShingleAnalyzerWrapper

    public ShingleAnalyzerWrapper()

  Wraps `StandardAnalyzer`.

### ShingleAnalyzerWrapper

    public ShingleAnalyzerWrapper(int nGramSize)

Method Detail

### getMaxShingleSize

    public int getMaxShingleSize()

  The max shingle (ngram) size

  Returns:
    The max shingle (ngram) size

### setMaxShingleSize

    public void setMaxShingleSize(int maxShingleSize)

  Set the maximum size of output shingles

  Parameters:
    `maxShingleSize` - max shingle size

### isOutputUnigrams

    public boolean isOutputUnigrams()

### setOutputUnigrams

    public void setOutputUnigrams(boolean outputUnigrams)

  Shall the filter pass the original tokens (the "unigrams") to the output stream?

  Parameters:
    `outputUnigrams` - Whether or not the filter shall pass the original tokens to the output stream

### tokenStream

    public org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                              java.io.Reader reader)

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

### reusableTokenStream

    public org.apache.lucene.analysis.TokenStream reusableTokenStream(java.lang.String fieldName,
                                                                      java.io.Reader reader)
                                                               throws java.io.IOException

  Overrides:
    `reusableTokenStream` in class `org.apache.lucene.analysis.Analyzer`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.